From c0bf89054a2bdaddccfe9a0794018f2b3f91ad40 Mon Sep 17 00:00:00 2001
From: David Malcolm <dmalcolm@redhat.com>
Date: Mon, 12 Jun 2017 16:43:06 -0400
Subject: [PATCH 1/3] FIXME: spelling corrections (found via
 -Wspellcheck-comments)

---
 gcc/alias.c                          | 22 +++++++-------
 gcc/alloc-pool.h                     |  2 +-
 gcc/asan.c                           |  4 +--
 gcc/auto-profile.c                   |  4 +--
 gcc/bb-reorder.c                     |  2 +-
 gcc/bitmap.h                         |  2 +-
 gcc/builtins.c                       | 10 +++----
 gcc/c-family/array-notation-common.c |  2 +-
 gcc/c-family/c-common.c              |  6 ++--
 gcc/c-family/c-common.h              |  2 +-
 gcc/c-family/c-cppbuiltin.c          |  2 +-
 gcc/c-family/c-opts.c                |  2 +-
 gcc/c-family/c-pretty-print.c        |  2 +-
 gcc/c-family/c-warn.c                |  2 +-
 gcc/c-family/cilk.c                  |  4 +--
 gcc/c/c-array-notation.c             |  2 +-
 gcc/c/c-parser.c                     |  6 ++--
 gcc/c/c-tree.h                       |  2 +-
 gcc/c/gimple-parser.c                |  2 +-
 gcc/calls.c                          |  2 +-
 gcc/ccmp.c                           |  8 +++---
 gcc/ccmp.h                           |  2 +-
 gcc/cfganal.c                        |  2 +-
 gcc/cfgexpand.c                      | 14 ++++-----
 gcc/cfgloop.c                        |  2 +-
 gcc/cgraph.c                         |  2 +-
 gcc/cgraph.h                         | 44 ++++++++++++++--------------
 gcc/cgraphclones.c                   |  4 +--
 gcc/cgraphunit.c                     | 28 +++++++++---------
 gcc/config.in                        |  2 +-
 gcc/config/i386/i386-c.c             |  2 +-
 gcc/config/i386/i386.c               | 56 ++++++++++++++++++------------------
 gcc/config/i386/i386.h               | 10 +++----
 gcc/config/i386/x86-tune.def         | 16 +++++------
 gcc/configure.ac                     |  2 +-
 gcc/coverage.c                       |  2 +-
 gcc/cp/call.c                        |  2 +-
 gcc/cp/class.c                       | 10 +++----
 gcc/cp/constexpr.c                   | 10 +++----
 gcc/cp/constraint.cc                 |  6 ++--
 gcc/cp/cp-array-notation.c           |  2 +-
 gcc/cp/cp-gimplify.c                 |  2 +-
 gcc/cp/cp-tree.h                     | 12 ++++----
 gcc/cp/cvt.c                         |  2 +-
 gcc/cp/decl.c                        |  4 +--
 gcc/cp/decl2.c                       |  2 +-
 gcc/cp/init.c                        |  6 ++--
 gcc/cp/lex.c                         |  2 +-
 gcc/cp/mangle.c                      |  2 +-
 gcc/cp/name-lookup.c                 | 10 +++----
 gcc/cp/name-lookup.h                 |  2 +-
 gcc/cp/parser.c                      |  2 +-
 gcc/cp/pt.c                          |  8 +++---
 gcc/cp/tree.c                        |  2 +-
 gcc/cp/vtable-class-hierarchy.c      | 12 ++++----
 gcc/cse.c                            |  4 +--
 gcc/cselib.c                         |  4 +--
 gcc/dce.c                            |  2 +-
 gcc/df-problems.c                    |  2 +-
 gcc/double-int.h                     |  4 +--
 gcc/dwarf2cfi.c                      |  2 +-
 gcc/dwarf2out.c                      | 34 +++++++++++-----------
 gcc/dwarf2out.h                      |  2 +-
 gcc/edit-context.c                   |  2 +-
 gcc/emit-rtl.h                       |  4 +--
 gcc/except.h                         |  2 +-
 gcc/expmed.c                         |  2 +-
 gcc/expr.c                           | 10 +++----
 gcc/fibonacci_heap.h                 |  4 +--
 gcc/fold-const.c                     |  8 +++---
 gcc/fortran/check.c                  |  4 +--
 gcc/fortran/class.c                  |  4 +--
 gcc/fortran/decl.c                   |  6 ++--
 gcc/fortran/expr.c                   |  2 +-
 gcc/fortran/frontend-passes.c        | 10 +++----
 gcc/fortran/gfortran.h               |  6 ++--
 gcc/fortran/intrinsic.c              |  2 +-
 gcc/fortran/primary.c                |  4 +--
 gcc/fortran/resolve.c                |  4 +--
 gcc/fortran/trans-array.c            |  4 +--
 gcc/fortran/trans-expr.c             |  4 +--
 gcc/fortran/trans-stmt.c             | 10 +++----
 gcc/fortran/trans.c                  |  2 +-
 gcc/function.c                       |  6 ++--
 gcc/gcc.c                            | 10 +++----
 gcc/gcov-dump.c                      |  2 +-
 gcc/gcov-io.c                        |  2 +-
 gcc/gcov.c                           |  2 +-
 gcc/genattrtab.c                     |  6 ++--
 gcc/genautomata.c                    |  2 +-
 gcc/gengtype-state.c                 |  6 ++--
 gcc/gengtype.c                       | 10 +++----
 gcc/gengtype.h                       |  2 +-
 gcc/genhooks.c                       |  4 +--
 gcc/genmatch.c                       |  8 +++---
 gcc/genopinit.c                      |  2 +-
 gcc/genoutput.c                      |  2 +-
 gcc/genrecog.c                       |  8 +++---
 gcc/gensupport.c                     |  2 +-
 gcc/ggc-page.c                       |  2 +-
 gcc/gimple-fold.c                    | 14 ++++-----
 gcc/gimple-ssa-split-paths.c         |  2 +-
 gcc/gimple-ssa-sprintf.c             | 14 ++++-----
 gcc/gimple-ssa-store-merging.c       |  2 +-
 gcc/gimple-ssa-strength-reduction.c  |  2 +-
 gcc/gimple.c                         |  2 +-
 gcc/gimple.def                       |  2 +-
 gcc/gimple.h                         | 10 +++----
 gcc/gimplify.c                       |  8 +++---
 gcc/graph.c                          |  2 +-
 gcc/haifa-sched.c                    |  8 +++---
 gcc/hash-table.h                     |  4 +--
 gcc/hsa-brig.c                       |  4 +--
 gcc/hsa-common.h                     |  4 +--
 gcc/hsa-gen.c                        |  6 ++--
 gcc/inchash.h                        |  8 +++---
 gcc/input.c                          |  4 +--
 gcc/internal-fn.h                    |  2 +-
 gcc/ipa-chkp.c                       |  2 +-
 gcc/ipa-cp.c                         | 18 ++++++------
 gcc/ipa-devirt.c                     | 16 +++++------
 gcc/ipa-fnsummary.c                  | 56 ++++++++++++++++++------------------
 gcc/ipa-fnsummary.h                  |  6 ++--
 gcc/ipa-icf-gimple.c                 |  6 ++--
 gcc/ipa-icf-gimple.h                 |  8 +++---
 gcc/ipa-icf.c                        | 10 +++----
 gcc/ipa-icf.h                        | 10 +++----
 gcc/ipa-inline-transform.c           |  2 +-
 gcc/ipa-inline.c                     | 20 ++++++-------
 gcc/ipa-polymorphic-call.c           | 36 +++++++++++------------
 gcc/ipa-predicate.c                  |  4 +--
 gcc/ipa-predicate.h                  |  2 +-
 gcc/ipa-profile.c                    |  2 +-
 gcc/ipa-prop.c                       | 26 ++++++++---------
 gcc/ipa-prop.h                       | 24 ++++++++--------
 gcc/ipa-ref.h                        |  2 +-
 gcc/ipa-reference.c                  |  2 +-
 gcc/ipa-split.c                      |  2 +-
 gcc/ipa-utils.c                      |  5 ++--
 gcc/ipa-utils.h                      |  2 +-
 gcc/ipa-visibility.c                 |  8 +++---
 gcc/ipa.c                            | 16 +++++------
 gcc/jit/jit-playback.c               |  6 ++--
 gcc/jit/jit-recording.c              |  6 ++--
 gcc/jit/libgccjit.c                  |  4 +--
 gcc/jit/libgccjit.h                  |  2 +-
 gcc/loop-invariant.c                 |  6 ++--
 gcc/loop-unroll.c                    |  2 +-
 gcc/lra-assigns.c                    |  2 +-
 gcc/lra-coalesce.c                   |  2 +-
 gcc/lra-constraints.c                | 22 +++++++-------
 gcc/lra-eliminations.c               |  4 +--
 gcc/lra-int.h                        |  2 +-
 gcc/lra-remat.c                      |  6 ++--
 gcc/lra.c                            |  4 +--
 gcc/lto-cgraph.c                     | 16 +++++------
 gcc/lto-opts.c                       |  2 +-
 gcc/lto-section-in.c                 |  2 +-
 gcc/lto-streamer-in.c                | 12 ++++----
 gcc/lto-streamer-out.c               | 10 +++----
 gcc/lto-streamer.h                   |  9 +++---
 gcc/lto-wrapper.c                    |  2 +-
 gcc/lto/lto-lang.c                   |  2 +-
 gcc/lto/lto-partition.c              |  8 +++---
 gcc/lto/lto-symtab.c                 | 19 ++++++------
 gcc/lto/lto.c                        | 10 +++----
 gcc/machmode.def                     |  2 +-
 gcc/machmode.h                       |  4 +--
 gcc/mem-stats.h                      | 14 ++++-----
 gcc/mode-switching.c                 |  4 +--
 gcc/modulo-sched.c                   |  4 +--
 gcc/omp-expand.c                     | 10 +++----
 gcc/omp-general.c                    |  6 ++--
 gcc/omp-general.h                    |  4 +--
 gcc/omp-grid.c                       |  6 ++--
 gcc/omp-low.c                        |  8 +++---
 gcc/omp-offload.c                    | 10 +++----
 gcc/omp-simd-clone.c                 |  4 +--
 gcc/optabs-query.c                   |  4 +--
 gcc/optabs.c                         | 12 ++++----
 gcc/opts.c                           |  2 +-
 gcc/params.def                       |  4 +--
 gcc/passes.c                         |  4 +--
 gcc/postreload-gcse.c                |  2 +-
 gcc/predict.c                        | 16 +++++------
 gcc/predict.def                      |  2 +-
 gcc/pretty-print.c                   |  2 +-
 gcc/print-rtl.c                      |  4 +--
 gcc/print-rtl.h                      |  2 +-
 gcc/profile.c                        |  2 +-
 gcc/read-md.h                        |  4 +--
 gcc/real.c                           |  2 +-
 gcc/reg-notes.def                    |  2 +-
 gcc/reginfo.c                        |  2 +-
 gcc/reload.c                         |  2 +-
 gcc/reload1.c                        |  2 +-
 gcc/resource.c                       |  4 +--
 gcc/rtl.def                          |  6 ++--
 gcc/sanopt.c                         |  2 +-
 gcc/sched-deps.c                     |  4 +--
 gcc/sel-sched-dump.c                 |  4 +--
 gcc/sel-sched-ir.h                   |  6 ++--
 gcc/sel-sched.c                      | 20 ++++++-------
 gcc/shrink-wrap.c                    |  4 +--
 gcc/simplify-rtx.c                   |  4 +--
 gcc/stringpool.h                     |  2 +-
 gcc/symbol-summary.h                 |  4 +--
 gcc/symtab.c                         | 18 ++++++------
 gcc/target-hooks-macros.h            |  4 +--
 gcc/target.def                       |  6 ++--
 gcc/targhooks.c                      |  4 +--
 gcc/trans-mem.c                      |  2 +-
 gcc/tree-cfg.c                       |  4 +--
 gcc/tree-cfgcleanup.c                |  6 ++--
 gcc/tree-chkp-opt.c                  |  4 +--
 gcc/tree-chkp.c                      | 44 ++++++++++++++--------------
 gcc/tree-chrec.c                     |  2 +-
 gcc/tree-core.h                      |  4 +--
 gcc/tree-data-ref.c                  |  6 ++--
 gcc/tree-eh.c                        |  4 +--
 gcc/tree-if-conv.c                   | 18 ++++++------
 gcc/tree-inline.c                    |  4 +--
 gcc/tree-into-ssa.c                  | 10 +++----
 gcc/tree-loop-distribution.c         |  5 ++--
 gcc/tree-predcom.c                   |  2 +-
 gcc/tree-profile.c                   |  4 +--
 gcc/tree-scalar-evolution.c          |  4 +--
 gcc/tree-sra.c                       |  8 +++---
 gcc/tree-ssa-address.c               |  2 +-
 gcc/tree-ssa-alias.c                 |  4 +--
 gcc/tree-ssa-ccp.c                   |  2 +-
 gcc/tree-ssa-coalesce.c              |  4 +--
 gcc/tree-ssa-dce.c                   | 14 ++++-----
 gcc/tree-ssa-dom.c                   |  4 +--
 gcc/tree-ssa-dse.c                   |  2 +-
 gcc/tree-ssa-forwprop.c              |  2 +-
 gcc/tree-ssa-ifcombine.c             |  2 +-
 gcc/tree-ssa-live.c                  |  2 +-
 gcc/tree-ssa-loop-im.c               |  4 +--
 gcc/tree-ssa-loop-ivcanon.c          | 12 ++++----
 gcc/tree-ssa-loop-ivopts.c           | 12 ++++----
 gcc/tree-ssa-loop-niter.c            | 14 ++++-----
 gcc/tree-ssa-loop-niter.h            |  2 +-
 gcc/tree-ssa-loop-prefetch.c         | 12 ++++----
 gcc/tree-ssa-math-opts.c             | 16 +++++------
 gcc/tree-ssa-pre.c                   |  6 ++--
 gcc/tree-ssa-propagate.c             |  2 +-
 gcc/tree-ssa-reassoc.c               |  8 +++---
 gcc/tree-ssa-sccvn.c                 |  2 +-
 gcc/tree-ssa-sink.c                  |  4 +--
 gcc/tree-ssa-strlen.c                |  2 +-
 gcc/tree-ssa-structalias.c           |  6 ++--
 gcc/tree-ssa-threadbackward.c        |  2 +-
 gcc/tree-ssa-threadedge.c            |  2 +-
 gcc/tree-ssa-threadupdate.c          |  2 +-
 gcc/tree-ssa-uninit.c                | 10 +++----
 gcc/tree-ssanames.h                  |  2 +-
 gcc/tree-streamer-out.c              |  2 +-
 gcc/tree-vect-data-refs.c            |  4 +--
 gcc/tree-vect-generic.c              |  2 +-
 gcc/tree-vect-loop-manip.c           |  4 +--
 gcc/tree-vect-loop.c                 |  6 ++--
 gcc/tree-vect-patterns.c             | 14 ++++-----
 gcc/tree-vect-slp.c                  | 10 +++----
 gcc/tree-vect-stmts.c                |  6 ++--
 gcc/tree-vectorizer.h                |  2 +-
 gcc/tree-vrp.c                       | 16 +++++------
 gcc/tree.c                           | 18 ++++++------
 gcc/tree.h                           |  8 +++---
 gcc/ubsan.c                          |  2 +-
 gcc/value-prof.c                     |  2 +-
 gcc/var-tracking.c                   |  2 +-
 gcc/varasm.c                         |  2 +-
 gcc/varpool.c                        | 12 ++++----
 gcc/wide-int.cc                      |  2 +-
 gcc/wide-int.h                       | 48 +++++++++++++++----------------
 include/ansidecl.h                   |  2 +-
 include/demangle.h                   |  4 +--
 include/gomp-constants.h             |  2 +-
 include/libiberty.h                  |  4 +--
 include/plugin-api.h                 |  2 +-
 include/safe-ctype.h                 |  2 +-
 include/splay-tree.h                 |  2 +-
 libcpp/include/cpplib.h              |  2 +-
 libcpp/include/line-map.h            |  4 +--
 libcpp/internal.h                    |  2 +-
 libgcc/libgcov-util.c                |  2 +-
 zlib/zlib.h                          |  6 ++--
 288 files changed, 935 insertions(+), 931 deletions(-)

diff --git a/gcc/alias.c b/gcc/alias.c
index cff4fac..656e0fe 100644
--- a/gcc/alias.c
+++ b/gcc/alias.c
@@ -130,11 +130,11 @@ struct GTY(()) alias_set_entry {
      alias set the same as alias set zero.  */
   bool has_zero_child;
   /* Nonzero if alias set corresponds to pointer type itself (i.e. not to
-     aggregate contaiing pointer.
+     aggregate containing pointer.
      This is used for a special case where we need an universal pointer type
      compatible with all other pointer types.  */
   bool is_pointer;
-  /* Nonzero if is_pointer or if one of childs have has_pointer set.  */
+  /* Nonzero if is_pointer or if one of children have has_pointer set.  */
   bool has_pointer;
 
   /* The children of the alias set.  These are not just the immediate
@@ -433,7 +433,7 @@ alias_set_subset_of (alias_set_type set1, alias_set_type set2)
      *ptr2 = ...
 
      Additionally if a set contains universal pointer, we consider every pointer
-     to be a subset of it, but we do not represent this explicitely - doing so
+     to be a subset of it, but we do not represent this explicitly - doing so
      would require us to update transitive closure each time we introduce new
      pointer type.  This makes aliasing_component_refs_p to return true
      on the following testcase:
@@ -455,7 +455,7 @@ alias_set_subset_of (alias_set_type set1, alias_set_type set2)
  	     them subset of each other.  */
 	  if (set1 == voidptr_set || set2 == voidptr_set)
 	    return true;
-	  /* If SET2 contains universal pointer's alias set, then we consdier
+	  /* If SET2 contains universal pointer's alias set, then we consider
  	     every (non-universal) pointer.  */
 	  if (ase2->children && set1 != voidptr_set
 	      && ase2->children->get (voidptr_set))
@@ -818,7 +818,7 @@ alias_ptr_types_compatible_p (tree t1, tree t2)
 	  == TYPE_MAIN_VARIANT (TREE_TYPE (t2)));
 }
 
-/* Create emptry alias set entry.  */
+/* Create empty alias set entry.  */
 
 alias_set_entry *
 init_alias_set_entry (alias_set_type set)
@@ -904,7 +904,7 @@ get_alias_set (tree t)
       /* Handle structure type equality for pointer types, arrays and vectors.
 	 This is easy to do, because the code bellow ignore canonical types on
 	 these anyway.  This is important for LTO, where TYPE_CANONICAL for
-	 pointers can not be meaningfuly computed by the frotnend.  */
+	 pointers can not be meaningfully computed by the frontend.  */
       if (canonical_type_used_p (t))
 	{
 	  /* In LTO we set canonical types for all types where it makes
@@ -992,9 +992,9 @@ get_alias_set (tree t)
      the pointed-to types.  This issue has been reported to the
      C++ committee.
 
-     For this reason go to canonical type of the unqalified pointer type.
+     For this reason go to canonical type of the unqualified pointer type.
      Until GCC 6 this code set all pointers sets to have alias set of
-     ptr_type_node but that is a bad idea, because it prevents disabiguations
+     ptr_type_node but that is a bad idea, because it prevents disambiguations
      in between pointers.  For Firefox this accounts about 20% of all
      disambiguations in the program.  */
   else if (POINTER_TYPE_P (t) && t != ptr_type_node)
@@ -1013,7 +1013,7 @@ get_alias_set (tree t)
 	   || TREE_CODE (p) == VECTOR_TYPE;
 	   p = TREE_TYPE (p))
 	{
-	  /* Ada supports recusive pointers.  Instead of doing recrusion check
+	  /* Ada supports recursive pointers.  Instead of doing recursion check
 	     just give up once the preallocated space of 8 elements is up.
 	     In this case just punt to void * alias set.  */
 	  if (reference.length () == 8)
@@ -1070,7 +1070,7 @@ get_alias_set (tree t)
 	  /* Assign the alias set to both p and t.
 	     We can not call get_alias_set (p) here as that would trigger
 	     infinite recursion when p == t.  In other cases it would just
-	     trigger unnecesary legwork of rebuilding the pointer again.  */
+	     trigger unnecessary legwork of rebuilding the pointer again.  */
 	  gcc_checking_assert (p == TYPE_MAIN_VARIANT (p));
 	  if (TYPE_ALIAS_SET_KNOWN_P (p))
 	    set = TYPE_ALIAS_SET (p);
@@ -2180,7 +2180,7 @@ base_alias_check (rtx x, rtx x_base, rtx y, rtx y_base,
      alias one another, though "char a; long b;" cannot.  AND addresses may
      implicitly alias surrounding objects; i.e. unaligned access in DImode
      via AND address can alias all surrounding object types except those
-     with aligment 8 or higher.  */
+     with alignment 8 or higher.  */
   if (GET_CODE (x) == AND && GET_CODE (y) == AND)
     return 1;
   if (GET_CODE (x) == AND
diff --git a/gcc/alloc-pool.h b/gcc/alloc-pool.h
index a5236db..a6a48d1 100644
--- a/gcc/alloc-pool.h
+++ b/gcc/alloc-pool.h
@@ -36,7 +36,7 @@ extern ALLOC_POOL_ID_TYPE last_id;
 /* Pool allocator memory usage.  */
 struct pool_usage: public mem_usage
 {
-  /* Default contructor.  */
+  /* Default constructor.  */
   pool_usage (): m_element_size (0), m_pool_name ("") {}
   /* Constructor.  */
   pool_usage (size_t allocated, size_t times, size_t peak,
diff --git a/gcc/asan.c b/gcc/asan.c
index bf564a4..64fd81c 100644
--- a/gcc/asan.c
+++ b/gcc/asan.c
@@ -1650,7 +1650,7 @@ insert_if_then_before_iter (gcond *cond,
 }
 
 /* Build (base_addr >> ASAN_SHADOW_SHIFT) + asan_shadow_offset ().
-   If RETURN_ADDRESS is set to true, return memory location instread
+   If RETURN_ADDRESS is set to true, return memory location instead
    of a value in the shadow memory.  */
 
 static tree
@@ -2930,7 +2930,7 @@ asan_expand_check_ifn (gimple_stmt_iterator *iter, bool use_calls)
 	   {
 	     //asan instrumentation code goes here.
 	   }
-	 // falltrough instructions, starting with *ITER.  */
+	 // fallthrough instructions, starting with *ITER.  */
 
       g = gimple_build_cond (NE_EXPR,
 			    len,
diff --git a/gcc/auto-profile.c b/gcc/auto-profile.c
index 0de1040..a550bb7 100644
--- a/gcc/auto-profile.c
+++ b/gcc/auto-profile.c
@@ -1159,7 +1159,7 @@ afdo_set_bb_count (basic_block bb, const stmt_set &promoted)
    3. BB1 and BB2 are in the same loop nest.
    This function finds the equivalent class for each basic block, and
    stores a pointer to the first BB in its equivalent class. Meanwhile,
-   set bb counts for the same equivalent class to be idenical. Update
+   set bb counts for the same equivalent class to be identical. Update
    ANNOTATED_BB for the first BB in its equivalent class.  */
 
 static void
@@ -1598,7 +1598,7 @@ early_inline ()
     update_ssa (TODO_update_ssa);
 }
 
-/* Use AutoFDO profile to annoate the control flow graph.
+/* Use AutoFDO profile to annotate the control flow graph.
    Return the todo flag.  */
 
 static unsigned int
diff --git a/gcc/bb-reorder.c b/gcc/bb-reorder.c
index a8d4256..88a45ca 100644
--- a/gcc/bb-reorder.c
+++ b/gcc/bb-reorder.c
@@ -590,7 +590,7 @@ find_traces_1_round (int branch_th, int exec_th, gcov_type count_th,
 	  /* If the best destination has multiple successors or predecessors,
 	     don't allow it to be added when optimizing for size.  This makes
 	     sure predecessors with smaller index are handled before the best
-	     destinarion.  It breaks long trace and reduces long jumps.
+	     destination.  It breaks long trace and reduces long jumps.
 
 	     Take if-then-else as an example.
 		A
diff --git a/gcc/bitmap.h b/gcc/bitmap.h
index ad53984..879f473 100644
--- a/gcc/bitmap.h
+++ b/gcc/bitmap.h
@@ -132,7 +132,7 @@ along with GCC; see the file COPYING3.  If not see
 /* Bitmap memory usage.  */
 struct bitmap_usage: public mem_usage
 {
-  /* Default contructor.  */
+  /* Default constructor.  */
   bitmap_usage (): m_nsearches (0), m_search_iter (0) {}
   /* Constructor.  */
   bitmap_usage (size_t allocated, size_t times, size_t peak,
diff --git a/gcc/builtins.c b/gcc/builtins.c
index 30462ad..36c3b96 100644
--- a/gcc/builtins.c
+++ b/gcc/builtins.c
@@ -299,7 +299,7 @@ get_object_alignment_2 (tree exp, unsigned int *alignp,
       unsigned HOST_WIDE_INT ptr_bitpos;
       unsigned HOST_WIDE_INT ptr_bitmask = ~0;
 
-      /* If the address is explicitely aligned, handle that.  */
+      /* If the address is explicitly aligned, handle that.  */
       if (TREE_CODE (addr) == BIT_AND_EXPR
 	  && TREE_CODE (TREE_OPERAND (addr, 1)) == INTEGER_CST)
 	{
@@ -867,7 +867,7 @@ expand_builtin_setjmp_setup (rtx buf_addr, rtx receiver_label)
 
 /* Construct the trailing part of a __builtin_setjmp call.  This is
    also called directly by the SJLJ exception handling code.
-   If RECEIVER_LABEL is NULL, instead contruct a nonlocal goto handler.  */
+   If RECEIVER_LABEL is NULL, instead construct a nonlocal goto handler.  */
 
 void
 expand_builtin_setjmp_receiver (rtx receiver_label)
@@ -1943,7 +1943,7 @@ mathfn_built_in_2 (tree type, combined_fn fn)
     return END_BUILTINS;
 }
 
-/* Return mathematic function equivalent to FN but operating directly on TYPE,
+/* Return mathematical function equivalent to FN but operating directly on TYPE,
    if available.  If IMPLICIT_P is true use the implicit builtin declaration,
    otherwise use the explicit declaration.  If we can't do the conversion,
    return null.  */
@@ -5830,7 +5830,7 @@ expand_builtin_atomic_compare_exchange (machine_mode mode, tree exp,
   if (target == const0_rtx)
     target = NULL;
 
-  /* Lest the rtl backend create a race condition with an imporoper store
+  /* Lest the rtl backend create a race condition with an improper store
      to memory, always create a new pseudo for OLDVAL.  */
   oldval = NULL;
 
@@ -6420,7 +6420,7 @@ expand_builtin_thread_pointer (tree exp, rtx target)
   if (icode != CODE_FOR_nothing)
     {
       struct expand_operand op;
-      /* If the target is not sutitable then create a new target. */
+      /* If the target is not suitable then create a new target. */
       if (target == NULL_RTX
 	  || !REG_P (target)
 	  || GET_MODE (target) != Pmode)
diff --git a/gcc/c-family/array-notation-common.c b/gcc/c-family/array-notation-common.c
index 3b95332..28e8726 100644
--- a/gcc/c-family/array-notation-common.c
+++ b/gcc/c-family/array-notation-common.c
@@ -76,7 +76,7 @@ extract_sec_implicit_index_arg (location_t location, tree fn)
   return return_int;
 }
 
-/* Returns true if there is a length mismatch among exprssions that are at the
+/* Returns true if there is a length mismatch among expressions that are at the
    same dimension and one the same side of the equal sign.  The Array notation
    lengths (LIST->LENGTH) is passed in as a 2D vector of trees.  */
 
diff --git a/gcc/c-family/c-common.c b/gcc/c-family/c-common.c
index 4395e51..93a1916 100644
--- a/gcc/c-family/c-common.c
+++ b/gcc/c-family/c-common.c
@@ -844,7 +844,7 @@ get_cpp_ttype_from_string_type (tree string_type)
   return CPP_OTHER;
 }
 
-/* The global record of string concatentations, for use in
+/* The global record of string concatenations, for use in
    extracting locations within string literals.  */
 
 GTY(()) string_concat_db *g_string_concat_db;
@@ -4451,7 +4451,7 @@ build_va_arg (location_t loc, tree expr, tree type)
       if (canon_va_type == NULL_TREE)
 	error_at (loc, "first argument to %<va_arg%> not of type %<va_list%>");
 
-      /* Let's handle things neutrallly, if expr:
+      /* Let's handle things neutrally, if expr:
 	 - has undeclared type, or
 	 - is not an va_list type.  */
       return build_va_arg_1 (loc, type, error_mark_node);
@@ -7914,7 +7914,7 @@ cb_get_suggestion (cpp_reader *, const char *goal,
   return bm.get_best_meaningful_candidate ();
 }
 
-/* Return the latice point which is the wider of the two FLT_EVAL_METHOD
+/* Return the lattice point which is the wider of the two FLT_EVAL_METHOD
    modes X, Y.  This isn't just  >, as the FLT_EVAL_METHOD values added
    by C TS 18661-3 for interchange  types that are computed in their
    native precision are larger than the C11 values for evaluating in the
diff --git a/gcc/c-family/c-common.h b/gcc/c-family/c-common.h
index 79072e6..a4cb584 100644
--- a/gcc/c-family/c-common.h
+++ b/gcc/c-family/c-common.h
@@ -1400,7 +1400,7 @@ extern bool c_check_cilk_loop (location_t, tree);
   TREE_OPERAND (ARRAY_NOTATION_CHECK (NODE), 3)
 
 /* This structure holds all the scalar values and its appropriate variable 
-   replacment.  It is mainly used by the function that pulls all the invariant
+   replacement.  It is mainly used by the function that pulls all the invariant
    parts that should be executed only once, which comes with array notation 
    expressions.  */
 struct inv_list
diff --git a/gcc/c-family/c-cppbuiltin.c b/gcc/c-family/c-cppbuiltin.c
index 083d5fd..e0227db 100644
--- a/gcc/c-family/c-cppbuiltin.c
+++ b/gcc/c-family/c-cppbuiltin.c
@@ -1727,7 +1727,7 @@ builtin_define_type_max (const char *macro, tree type)
   builtin_define_type_minmax (NULL, macro, type);
 }
 
-/* Given a value with COUNT LSBs set, fill BUF with a hexidecimal
+/* Given a value with COUNT LSBs set, fill BUF with a hexadecimal
    representation of that value.  For example, a COUNT of 10 would
    return "0x3ff".  */
 
diff --git a/gcc/c-family/c-opts.c b/gcc/c-family/c-opts.c
index be4478f..c32c554 100644
--- a/gcc/c-family/c-opts.c
+++ b/gcc/c-family/c-opts.c
@@ -1602,7 +1602,7 @@ set_std_cxx1z (int iso)
   flag_isoc99 = 1;
   flag_isoc11 = 1;
   cxx_dialect = cxx1z;
-  lang_hooks.name = "GNU C++14"; /* Pretend C++14 till standarization.  */
+  lang_hooks.name = "GNU C++14"; /* Pretend C++14 till standardization.  */
 }
 
 /* Args to -d specify what to dump.  Silently ignore
diff --git a/gcc/c-family/c-pretty-print.c b/gcc/c-family/c-pretty-print.c
index fdb7b41..e6fbb11 100644
--- a/gcc/c-family/c-pretty-print.c
+++ b/gcc/c-family/c-pretty-print.c
@@ -783,7 +783,7 @@ pp_c_attributes (c_pretty_printer *pp, tree attributes)
 }
 
 /* Pretty-print ATTRIBUTES using GNU C extension syntax for attributes
-   marked to be displayed on disgnostic.  */
+   marked to be displayed on diagnostic.  */
 
 void
 pp_c_attributes_display (c_pretty_printer *pp, tree a)
diff --git a/gcc/c-family/c-warn.c b/gcc/c-family/c-warn.c
index 012675b..d0a5843 100644
--- a/gcc/c-family/c-warn.c
+++ b/gcc/c-family/c-warn.c
@@ -1972,7 +1972,7 @@ do_warn_double_promotion (tree result_type, tree type1, tree type2,
      warn about it.  */
   if (c_inhibit_evaluation_warnings)
     return;
-  /* If an invalid conversion has occured, don't warn.  */
+  /* If an invalid conversion has occurred, don't warn.  */
   if (result_type == error_mark_node)
     return;
   if (TYPE_MAIN_VARIANT (result_type) != double_type_node
diff --git a/gcc/c-family/cilk.c b/gcc/c-family/cilk.c
index e6df498..430d295 100644
--- a/gcc/c-family/cilk.c
+++ b/gcc/c-family/cilk.c
@@ -47,7 +47,7 @@ enum add_variable_type {
 };
 
 enum cilk_block_type {
-    /* Indicates a _Cilk_spawn block.  30 was an arbitary number picked for 
+    /* Indicates a _Cilk_spawn block.  30 was an arbitrary number picked for
        ease of debugging.  */
     CILK_BLOCK_SPAWN = 30,
     /* Indicates _Cilk_for statement block.  */
@@ -922,7 +922,7 @@ add_variable (struct wrapper_data *wd, tree var, enum add_variable_type how)
 	  break;
 	  /* ADD_READ means
 	     1. For cilk_for, refer to the outer scope definition as-is
-	     2. For a spawned block, take a scalar in an rgument
+	     2. For a spawned block, take a scalar in an argument
 	     and otherwise refer to the outer scope definition as-is.
 	     3. For a spawned call, take a scalar in an argument.  */
 	case ADD_READ:
diff --git a/gcc/c/c-array-notation.c b/gcc/c/c-array-notation.c
index e430f5c..8daadc9 100644
--- a/gcc/c/c-array-notation.c
+++ b/gcc/c/c-array-notation.c
@@ -917,7 +917,7 @@ fix_conditional_array_notations_1 (tree stmt)
   else if (truth_value_p (TREE_CODE (stmt)))
     cond = TREE_OPERAND (stmt, 0);
   else
-    /* Otherwise dont even touch the statement.  */
+    /* Otherwise don't even touch the statement.  */
     return stmt;
 
   if (!find_rank (location, cond, cond, false, &rank))
diff --git a/gcc/c/c-parser.c b/gcc/c/c-parser.c
index 6f954f2..f5f1b45 100644
--- a/gcc/c/c-parser.c
+++ b/gcc/c/c-parser.c
@@ -69,7 +69,7 @@ along with GCC; see the file COPYING3.  If not see
 /* We need to walk over decls with incomplete struct/union/enum types
    after parsing the whole translation unit.
    In finish_decl(), if the decl is static, has incomplete
-   struct/union/enum type, it is appeneded to incomplete_record_decls.
+   struct/union/enum type, it is appended to incomplete_record_decls.
    In c_parser_translation_unit(), we iterate over incomplete_record_decls
    and report error if any of the decls are still incomplete.  */ 
 
@@ -5859,7 +5859,7 @@ c_parser_do_statement (c_parser *parser, bool ivdep)
    In Objective-C, there are two additional variants:
 
    foreach-statement:
-     for ( expression in expresssion ) statement
+     for ( expression in expression ) statement
      for ( declaration in expression ) statement
 
    This is inconsistent with C, because the second variant is allowed
@@ -5884,7 +5884,7 @@ c_parser_do_statement (c_parser *parser, bool ivdep)
       id object;
       for (object in array) { do something with object }
     }
-   Note that initizializing 'object' in some way (eg, "for ((object =
+   Note that initializing 'object' in some way (eg, "for ((object =
    xxx) in array) { do something with object }") is possibly
    technically valid, but completely pointless as 'object' will be
    assigned to something else as soon as the loop starts.  We should
